{
	"name": "capacitor-ble",
	"version": "0.0.1",
	"private": true,
	"scripts": {
		"prepare": "npm run smui-theme",
		"smui-theme": "smui-theme compile static/smui.css -i src/theme",
		"dev": "vite dev",
		"build": "vite build",
		"preview": "vite preview",
		"check": "svelte-kit sync && svelte-check --tsconfig ./jsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./jsconfig.json --watch"
	},
	"devDependencies": {
		"@capacitor/cli": "^5.0.5",
		"@material/typography": "^14.0.0",
		"@smui/button": "^7.0.0-beta.8",
		"@smui/common": "^7.0.0-beta.8",
		"@smui/data-table": "^7.0.0-beta.8",
		"@smui/drawer": "^7.0.0-beta.8",
		"@smui/icon-button": "^7.0.0-beta.8",
		"@smui/layout-grid": "^7.0.0-beta.14",
		"@smui/list": "^7.0.0-beta.8",
		"@smui/paper": "^7.0.0-beta.14",
		"@smui/snackbar": "^7.0.0-beta.14",
		"@smui/tab": "^7.0.0-beta.14",
		"@smui/tab-bar": "^7.0.0-beta.14",
		"@smui/top-app-bar": "^7.0.0-beta.8",
		"@sveltejs/adapter-auto": "^2.0.0",
		"@sveltejs/kit": "^1.5.0",
		"smui-theme": "^7.0.0-beta.8",
		"svelte": "^3.54.0",
		"svelte-check": "^3.0.1",
		"typescript": "^5.0.0",
		"vite": "^4.3.0"
	},
	"type": "module",
	"dependencies": {
		"@capacitor-community/bluetooth-le": "^3.0.0",
		"@capacitor-community/sqlite": "^5.0.4",
		"@capacitor/android": "^5.0.5",
		"@capacitor/core": "^5.0.5",
		"@capacitor/geolocation": "^5.0.4",
		"@capacitor/preferences": "^5.0.5",
		"@capacitor/splash-screen": "^5.0.4",
		"@sveltejs/adapter-static": "^2.0.2",
		"@vitejs/plugin-basic-ssl": "^1.0.1",
		"chart.js": "^4.3.0",
		"gltf-loader": "^1.0.0",
		"jeep-sqlite": "^2.3.7",
		"p5-svelte": "^3.1.2",
		"svelte-chartjs": "^3.1.2",
		"three": "^0.154.0"
	}
}
